summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1999-03-29 21:08:04 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1999-03-29 21:08:04 +0000
commit7e03d107d780ca0e1690a7cdecfb35834832c3d5 (patch)
tree80a861661e7e88f0dedc77ba30aee4350300a9eb /tools
parent77c81fd2a1dedce6aad36204cf9ddbaf794c4f2f (diff)
downloadrtems-7e03d107d780ca0e1690a7cdecfb35834832c3d5.tar.bz2
Patch from Ralf Corsepius <corsepiu@faw.uni-ulm.de>:
Yet some more modifications, I would recommend to be considered before releasing a snapshot: 1. Cleanup to aclocal/ cvs rm -f aclocal/cygwin.m4 cvs rm -f aclocal/exeext.m4 They are neither used nor needed anymore, however they also don't disturb (we use autoconf-2.13's AC_EXEEXT instead, now) ---------- 2. rtems-rc-19990328-0.diff Some (minor) bug-fixes: * make/Templates/Makefile.inc.in: use the new installation directory ($(prefix)/ instead of $(prefix)/rtems/) * c/src/exec/score/tools/generic/Makefile.am: added line to include local.am * c/src/exec/score/tools/*/configure.in: added CVS Id header ---------- 3. rtems-rc-19990328-1.diff Enhancements and cleanups to autogen, rtems-polish.sh, configure.in etc. * autogen: Use the file "VERSION" to detect RTEMS toplevel directory, extended usage-message, use "find -print" * c/update-tools/cipolish: New script to beautify configure.in scripts * c/update-tools/rtems-polish.sh: Use the file "VERSION" to detect RTEMS toplevel directory, extended usage-message, added variable for perl scripts' subdirectory, use "find -print", cipolish support, new options -ac -am -ci. * aclocal/*.m4, configure.in: moved some AC_SUBST lines to aclocal/*.m4 (reduces size of configure.in scripts, eases splitting configure.in scripts). ----------
Diffstat (limited to 'tools')
-rw-r--r--tools/cpu/generic/Makefile.am1
-rw-r--r--tools/cpu/generic/Makefile.in28
-rw-r--r--tools/cpu/generic/configure.in4
-rw-r--r--tools/cpu/hppa1.1/configure.in4
-rw-r--r--tools/cpu/sh/configure.in4
-rw-r--r--tools/cpu/unix/configure.in4
-rwxr-xr-xtools/update/cipolish119
-rwxr-xr-xtools/update/rtems-polish.sh86
8 files changed, 245 insertions, 5 deletions
diff --git a/tools/cpu/generic/Makefile.am b/tools/cpu/generic/Makefile.am
index 476d6bab83..92f0ea787e 100644
--- a/tools/cpu/generic/Makefile.am
+++ b/tools/cpu/generic/Makefile.am
@@ -6,3 +6,4 @@ AUTOMAKE_OPTIONS = foreign
ACLOCAL = @ACLOCAL@ -I $(RTEMS_TOPdir)/aclocal
noinst_SCRIPTS=size_rtems
+include $(top_srcdir)/../../../../../../automake/local.am
diff --git a/tools/cpu/generic/Makefile.in b/tools/cpu/generic/Makefile.in
index 41e91bee93..d7a05c1cf3 100644
--- a/tools/cpu/generic/Makefile.in
+++ b/tools/cpu/generic/Makefile.in
@@ -15,6 +15,14 @@
#
+# $Id$
+
+# NOTE: This is a temporary work-around to keep
+# "make debug" and "make debug_install" working.
+# Once automake is fully integrated these make targets
+# and this file will probably be removed
+
+
SHELL = @SHELL@
srcdir = @srcdir@
@@ -96,7 +104,7 @@ TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/../../../../../../automake/local.am
cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
@@ -232,6 +240,24 @@ distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean
+debug-am:
+
+debug: debug-am
+
+debug_install-am:
+
+debug_install: debug_install-am
+
+profile-am:
+
+profile: profile-am
+
+profile_install-am:
+
+profile_install: profile_install-am
+
+.PHONY: debug debug_install profile profile_install
+
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
diff --git a/tools/cpu/generic/configure.in b/tools/cpu/generic/configure.in
index 9877ceabc3..7e144ad375 100644
--- a/tools/cpu/generic/configure.in
+++ b/tools/cpu/generic/configure.in
@@ -1,3 +1,7 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
AC_INIT(size_rtems.in)
AC_CONFIG_AUX_DIR(../../../../../..)
diff --git a/tools/cpu/hppa1.1/configure.in b/tools/cpu/hppa1.1/configure.in
index c846bc5a11..c361bf10bc 100644
--- a/tools/cpu/hppa1.1/configure.in
+++ b/tools/cpu/hppa1.1/configure.in
@@ -1,3 +1,7 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
AC_INIT(genoffsets.c)
AC_CONFIG_AUX_DIR(../../../../../..)
diff --git a/tools/cpu/sh/configure.in b/tools/cpu/sh/configure.in
index 6ff5bb3e22..a93a660603 100644
--- a/tools/cpu/sh/configure.in
+++ b/tools/cpu/sh/configure.in
@@ -1,3 +1,7 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
AC_INIT(shgen.c)
AC_CONFIG_AUX_DIR(../../../../../..)
diff --git a/tools/cpu/unix/configure.in b/tools/cpu/unix/configure.in
index 19b8b548f0..302364be14 100644
--- a/tools/cpu/unix/configure.in
+++ b/tools/cpu/unix/configure.in
@@ -1,3 +1,7 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
AC_INIT(gensize.c)
AC_CONFIG_AUX_DIR(../../../../../..)
diff --git a/tools/update/cipolish b/tools/update/cipolish
new file mode 100755
index 0000000000..61af53312c
--- /dev/null
+++ b/tools/update/cipolish
@@ -0,0 +1,119 @@
+#!/usr/bin/perl
+
+#
+# Perl script to beautify and enhance RTEMS configure.in
+#
+# Reads from stdin and writes to stdout
+#
+# usage:
+# acpolish <configure.in >configure.in~
+# mv configure.in~ configure.in
+#
+# ATTENTION: This file contains embedded tabs
+
+my $nl_seen = 0 ;
+
+# find a relative up-path to a file $file, starting at directory $pre
+sub find_file
+{
+ my $pre = $_[0] ;
+ my $file= $_[1] ;
+
+ my $top = "." ;
+ if (not "$pre") { $pre = "." ; }
+
+ for ( $str = "$pre" . "/" . "$top" ;
+ ( -d "$str" ) ;
+ $str = "$pre" . "/" . "$top" )
+ {
+ if ( -f "${str}/${file}" )
+ {
+ return $top ;
+ }
+ if ( "$top" eq "." )
+ {
+ $top = ".." ;
+ }
+ else
+ {
+ $top .= "/.." ;
+ }
+ } ;
+ die "Can't find file ${file}\n" ;
+}
+
+# find relative up-path to configure.in
+my $rtems_cfg = find_file(".","VERSION");
+
+
+while( <> )
+{
+ if ( /^[ ]*$/o )
+ {
+ $nl_seen = $nl_seen+1;
+ }
+
+ if ( /^[ ]*AC_CONFIG_AUX_DIR\(.*\)[ ]*$/o )
+ {
+ print "AC_CONFIG_AUX_DIR($rtems_cfg)\n" ;
+ }
+ elsif ( /^[ ]*RTEMS_TOP\(.*\)[ ]*$/o )
+ {
+ print "RTEMS_TOP($rtems_cfg)\n" ;
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_HAS_POSIX_API\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_HAS_HWAPI\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_USE_MACROS\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_HAS_MULTIPROCESSING\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_HAS_RDBG\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_USE_OWN_PDIR\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_HAS_NETWORKING\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_LIBC_DIR\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(PROJECT_ROOT\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*AC_SUBST\(RTEMS_GAS_CODE16\)[ ]*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*PROJECT_ROOT[ ]*=.*$/o )
+ {
+ #remove the line
+ }
+ elsif ( /^[ ]*$/o )
+ {
+ print "$_" if $nl_seen < 2 ;
+ }
+ else
+ {
+ print "$_" ;
+ $nl_seen = 0;
+ }
+} # while
+
+;1
diff --git a/tools/update/rtems-polish.sh b/tools/update/rtems-polish.sh
index fe8604e972..7a693928d9 100755
--- a/tools/update/rtems-polish.sh
+++ b/tools/update/rtems-polish.sh
@@ -1,8 +1,70 @@
#!/bin/sh
+# $Id$
+
+#
+# Search RTEMS source tree for autoconf Makefile.ins and automake
+# Makefile.ams and run c/update-tools/acpolish rsp. c/update-tool/ampolish
+# on them.
+#
+# To be run from the toplevel directory of the source-tree
+#
+
+progname=`basename $0`
+
+perltools=c/update-tools
+ac_do=""
+am_do=""
+ci_do=""
+
+usage()
+{
+ echo
+ echo "usage: ./${perltools}/${progname} [-h][-ac|-am|-ci]";
+ echo
+ echo "options:"
+ echo " -h .. display this message and exit";
+ echo " -ac .. run acpolish on all autoconf Makefile.ins"
+ echo " -am .. run ampolish on all automake Makefile.ams"
+ echo " -ci .. run cipolish on all configure.in scripts"
+ echo
+ exit 1;
+}
+
+if test ! -f VERSION; then
+ echo "${progname}:"
+ echo " Please change directory to RTEMS's toplevel directory"
+ exit 1;
+fi
+
+while test $# -gt 0; do
+case $1 in
+-h|--he|--hel|--help)
+ usage ;;
+-ac)
+ ac_do="yes";
+ shift ;;
+-am)
+ am_do="yes";
+ shift ;;
+-ci)
+ ci_do="yes";
+ shift ;;
+-*) echo "unknown option $1" ;
+ usage ;;
+*) echo "invalid parameter $1" ;
+ usage ;;
+esac
+done
+
+if test -z "$ac_do" && test -z "$am_do" && test -z "$ci_do"; then
+ usage
+fi
+
pwd=`pwd`;
-ac_files=`find . -name Makefile.in`;
+if test -n "$ac_do"; then
+ac_files=`find . -name 'Makefile.in' -print`;
for f in $ac_files; do
i=`dirname $f`
dest="$i"
@@ -10,21 +72,37 @@ for f in $ac_files; do
echo "polishing : $dest/Makefile.in"
( cd $dest;
mv Makefile.in Makefile.in~;
- $pwd/c/update-tools/acpolish <Makefile.in~ >Makefile.in
+ ${pwd}/${perltools}/acpolish <Makefile.in~ >Makefile.in
rm Makefile.in~
)
fi
done
+fi
-am_files=`find . -name Makefile.am`;
+if test -n "$am_do"; then
+am_files=`find . -name 'Makefile.am' -print`;
for f in $am_files; do
i=`dirname $f`
dest="$i"
echo "polishing : $dest/Makefile.am"
( cd $dest;
mv Makefile.am Makefile.am~;
- $pwd/c/update-tools/ampolish <Makefile.am~ >Makefile.am
+ ${pwd}/${perltools}/ampolish <Makefile.am~ >Makefile.am
rm Makefile.am~
)
done
+fi
+if test -n "$ci_do"; then
+ci_files=`find . -name 'configure.in' -print`;
+for f in $ci_files; do
+ i=`dirname $f`
+ dest="$i"
+ echo "polishing : $dest/configure.in"
+ ( cd $dest;
+ mv configure.in configure.in~;
+ ${pwd}/${perltools}/cipolish <configure.in~ >configure.in
+ rm configure.in~
+ )
+done
+fi